For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
Logo
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETGet All
        • POSTCreate
        • GETGet
        • PUTUpdate
        • DELDelete
        • GETPlaid Link token
        • GETCard Link token
        • GETGet Events
          • GETGet wallet balance
          • POSTAdd wallet funds
          • POSTWithdraw wallet funds
Sign inBook a demo
API ReferenceEntityPayment MethodWallet

Withdraw wallet funds

POST
https://api.mercoa.com/entity/:entityId/paymentMethod/:paymentMethodId/withdraw-wallet-funds
POST
/entity/:entityId/paymentMethod/:paymentMethodId/withdraw-wallet-funds
$curl -X POST https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/paymentMethod/pm_4794d597-70dc-4fec-b6ec-c5988e759769/withdraw-wallet-funds \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "amount": 100,
> "destinationPaymentMethodId": "pm_f19d27ad-e493-4bf5-a28b-9cb323de495a",
> "currency": "USD"
>}'

Withdraw funds from this wallet to a bank account (this transfer is D+0). The destination payment method ID must refer to a bank account.

Was this page helpful?
Previous

Search entity users

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID
paymentMethodIdstringRequired
Payment Method ID or Payment Method ForeignID

Request

This endpoint expects an object.
amountdoubleRequired
The amount of the funds to withdraw. If the entered amount has more decimal places than the currency supports, trailing decimals will be truncated.
destinationPaymentMethodIdstringRequired
The ID of the bank account to withdraw funds to. The destination payment method ID must refer to a bank account.
currencyenumOptional

The currency of the funds to withdraw. (Defaults to USD, currently only USD is supported.)

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented